Project

General

Profile

Bug #76855

IOCage some jails not starting - Error local variable 'bridge_cmd' referenced before assignment

Added by Chris Mader over 1 year ago. Updated over 1 year ago.

Status:
Closed
Priority:
No priority
Assignee:
Release Council
Category:
Plugins
Target version:
Seen in:
Severity:
New
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No
Tags:

Description

When attempting to start iocage jails after reboot, getting error local variable 'bridge_cmd' referenced before assignment

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 581, in start
iocage.start()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
callback=self.callback
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in init
self.
_start_jail__()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 415, in start_jail
vnet_err = self.start_network(vnet)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 598, in start_network
err = self.start_network_interface_vnet(nic, net_configs, jid)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 624, in start_network_interface_vnet
membermtu = self.find_bridge_mtu(bridge)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 975, in find_bridge_mtu
su.check_call(bridge_cmd, stdout=su.PIPE, stderr=su.PIPE)
UnboundLocalError: local variable 'bridge_cmd' referenced before assignment
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in call
return await self._call_worker(serviceobj, name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
job,
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
UnboundLocalError: local variable 'bridge_cmd' referenced before assignment


Related issues

Is duplicate of FreeNAS - Bug #75648: Correctly call the iocage bridge_cmdDone

History

#1 Updated by Chris Mader over 1 year ago

  • File debug-nas02-20190223134003.txz added
  • Private changed from No to Yes

#2 Updated by Chris Mader over 1 year ago

  • Status changed from Unscreened to Closed

Duplicate of bug #75648

#3 Updated by Dru Lavigne over 1 year ago

  • File deleted (debug-nas02-20190223134003.txz)

#4 Updated by Dru Lavigne over 1 year ago

  • Target version changed from Backlog to N/A
  • Reason for Closing set to Duplicate Issue

#5 Updated by Dru Lavigne over 1 year ago

  • Is duplicate of Bug #75648: Correctly call the iocage bridge_cmd added

#6 Updated by Dru Lavigne over 1 year ago

  • Private changed from Yes to No

Also available in: Atom PDF